Name:           uxn11
Version:        1.0
Release:        %{autorelease}
Summary:        Uxn CPU emulator

License:        MIT
URL:            https://git.sr.ht/~rabbits/uxn11
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libX11-devel

%description
An emulator for the Uxn CPU and Varvara Computer, written in ANSI C. The
emulator contains a few linux specific utilities in the Console device to
allow for it to interface with the unix systems.

%prep
%autosetup -n uxn11-%{version}


%build
CORE_DEVICES="src/uxn.c src/devices/system.c src/devices/console.c src/devices/file.c src/devices/datetime.c -lpthread"
EMU_INC="${CORE_DEVICES} src/devices/screen.c src/devices/controller.c src/devices/mouse.c src/uxn11.c -o bin/uxn11 -lX11"
CLI_INC="${CORE_DEVICES} src/uxncli.c -o bin/uxncli"


mkdir -p bin

cc ${CFLAGS} src/uxnasm.c -o bin/uxnasm
cc ${CFLAGS} ${LDFLAGS} ${EMU_INC}
cc ${CFLAGS} ${LDFLAGS} ${CLI_INC}

%install
mkdir -p %{buildroot}/%{_bindir}
install -m755  bin/uxn11   %{buildroot}/%{_bindir}/
install -m755  bin/uxnasm  %{buildroot}/%{_bindir}/
install -m755  bin/uxncli  %{buildroot}/%{_bindir}/

%check
# bin/uxnasm etc/polycat.tal bin/polycat.rom
# bin/uxn11 bin/polycat.rom
# bin/uxnasm etc/friend.tal bin/friend.rom


# Test usage

./bin/uxnasm
./bin/uxncli
./bin/uxn11

# Test version

./bin/uxnasm -v
./bin/uxncli -v
./bin/uxn11 -v

# Brings up a window
#bin/uxnasm etc/mouse.tal bin/res.rom
#bin/uxnasm etc/pict.tal bin/res.rom
#bin/uxn11 bin/res.rom


%files
%license LICENSE
%doc README.md
%{_bindir}/uxn11
%{_bindir}/uxncli
%{_bindir}/uxnasm


%changelog
%autochangelog
